/**
 * @file exo_ahw_al_temp_sensor_stub.c
 *
 * @brief This file contains abstracted stub functions for temperature sensor
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "exo_ahw_al_temp_sensor_common.h"
#include <stdlib.h>
#include <stdio.h>

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */

__weak hal_ret_sts ahw_al_temp_sensor_init(ahw_al_temp_sensor_hdl* ht_arg, ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts  ahw_al_temp_sensor_deinit(ahw_al_temp_sensor_hdl* ht_arg, ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_get_evnt_sts(uint32_t ahw_id, uint8_t* evnt_sts)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_config (uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts	ahw_al_temp_sensor_intrupt_clear(uint32_t ahw_id, uint8_t interrupt_clear)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_event_output_mode(uint32_t ahw_id,temp_sensor_event_output_mode_t event_mode)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_event_polarity(uint32_t ahw_id,temp_sensor_event_polarity_t polarity)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_temp_sensor_set_temp_high_threshold (uint32_t ahw_id, float high_temp_threshold)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_temp_low_threshold (uint32_t ahw_id, float low_temp_threshold)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_temp_critical_threshold (uint32_t ahw_id, float critical_temp_threshold)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_hysteresis(uint32_t ahw_id,temp_sensor_hyst_t hysteresis)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_get_hysteresis(uint32_t ahw_id,temp_sensor_hyst_t *hysteresis)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_set_resolution(uint32_t ahw_id, temp_sensor_res_t resolution)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_get_resolution(uint32_t ahw_id,temp_sensor_res_t *res)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_gettemperature(uint32_t ahw_id,float *temperature)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_get_fahrenheit(uint32_t ahw_id, float* temperature)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_temp_sensor_read_manufacture_id(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
